using System.Diagnostics;
using NUnit.Framework;

namespace ReadingPerformanceCounterDemo
{
    [TestFixture]
    public class PerformanceCounterReaderTests
    {

        [Test]
        public void Read_Values_FromCounter()
        {
            var performanceCounterReader = new PerformanceCounterReader();

            performanceCounterReader.PerformanceValueNextValue += (f) =>
            {
                Debug.WriteLine(string.Format("Value: {0}", f));
            };

            performanceCounterReader.SetupCounter("Processor", "% Processor Time", "_Total");
        }
    }
}